import type {
  QuestionHint,
  QuestionVariantWithEditedImages,
  EditedUrlImagesList,
  QuizQuestionBase,
  QuestionBranchingRule,
} from "./shared";

export interface QuizQuestionVarImg extends QuizQuestionBase {
  type: "varimg";
  content: {
    id: string;
    /** Чекбокс "Вариант "свой ответ"" */
    own: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    variants: QuestionVariantWithEditedImages[];
    editedUrlImagesList?: EditedUrlImagesList | null;
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string | null;
    originalBack: string | null;
    autofill: boolean;
    largeCheck: boolean;
    replText: string;
    /** Чекбокс "Можно несколько" */
    multi?: boolean;
    ownPlaceholder?: string;
  };
}
